Bug 193701 - sync_count is greater than region_count when mirror is fully copied
sync_count is greater than region_count when mirror is fully copied
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 180185
  Show dependency treegraph
 
Reported: 2006-05-31 14:06 EDT by Corey Marthaler
Modified: 2010-04-27 10:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 10:51:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2006-05-31 14:06:27 EDT
Description of problem:
[root@taft-04 sbin]# lvs
  LV        VG       Attr   LSize   Origin Snap%  Move Log            Copy%
  mirror_10 mirror_1 mwi-a- 136.23G                    mirror_10_mlog 100.00
[root@taft-04 sbin]# dmsetup status
mirror_1-mirror_10: 0 285696000 mirror 2 253:3 253:4 279001/279000 1 AA 3
clustered_disk 253:2 A
mirror_1-mirror_10_mlog: 0 8192 linear
VolGroup00-LogVol01: 0 4063232 linear
mirror_1-mirror_10_mimage_1: 0 285696000 linear
VolGroup00-LogVol00: 0 40960000 linear
mirror_1-mirror_10_mimage_0: 0 285696000 linear


From console:
device-mapper: sync_count (279001) > region_count (279000) - this can not be!


Version-Release number of selected component (if applicable):
[root@taft-04 sbin]# rpm -q cmirror-kernel-smp
cmirror-kernel-smp-2.6.9-4.2
Comment 1 Jonathan Earl Brassow 2006-06-02 12:28:16 EDT
What was the command you used to create this volume?  Did you use the '--nosync'
option?
Comment 2 Jonathan Earl Brassow 2006-06-02 12:29:27 EDT
Also, did you do anything besides create the mirror and wait for it to be in-sync?
Comment 3 Corey Marthaler 2006-06-02 15:18:41 EDT
I did not use the --nosync option and I believe that there was possilby a node
recovery senario involved. Attempting to recreate to provide more details... 
Comment 4 Corey Marthaler 2006-06-02 15:36:28 EDT
Finally reproduced this. 

Recovery of a node (not the mirror server is required) and I had to use a 10G
mirror or bigger. Anything 1G or smaller ended up just causing bz 193596.

[root@taft-04 ~]# lvcreate -L 10G -m 1 -n deanmirror mirror_1
  Logical volume "deanmirror" created
[root@taft-04 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  16.56
[root@taft-04 ~]# lvscan
  ACTIVE            '/dev/mirror_1/deanmirror' [10.00 GB] inherit
[root@taft-04 ~]#
[root@taft-04 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  18.32
[root@taft-04 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  23.20


[recover a node (copy starts over at 0.00%)]

[...]
[root@taft-02 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  99.53
[root@taft-02 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  99.73
[root@taft-02 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog  99.88
[root@taft-02 ~]# lvs
  LV         VG       Attr   LSize  Origin Snap%  Move Log             Copy%
  deanmirror mirror_1 mwi-a- 10.00G                    deanmirror_mlog 100.00

device-mapper: sync_count (20481) > region_count (20480) - this can not be!
Comment 5 Jonathan Earl Brassow 2006-06-02 18:03:31 EDT
Could you recheck this when the build with fixes for 193706 and 193596 comes
out?  (next build after cmirror-kernel*-2.6.9-4.2)
Comment 7 Corey Marthaler 2006-06-14 16:51:58 EDT
Hit this while attempting to reproduce 193596

Jun 14 09:50:11 taft-03 lvm[4395]: corey-mirror1 is now in-sync
Jun 14 09:50:22 taft-03 lvm[4282]: corey-mirror2 is now in-sync
Jun 14 09:50:22 taft-03 kernel: device-mapper: sync_count (1602) > region_count
(1600) - this can not be!

[root@taft-03 ~]# rpm -q cmirror-kernel
cmirror-kernel-2.6.9-5.4
Comment 8 Corey Marthaler 2006-07-05 18:16:30 EDT
This appears to work now, but just like the verified bz 193596, I now hit bz
195392 which may be a regression.
Comment 10 Alasdair Kergon 2010-04-27 10:51:26 EDT
Assuming this VERIFIED fix got released.  Closing.
Reopen if it's not yet resolved.

Note You need to log in before you can comment on or make changes to this bug.